Перейти к содержанию

Removing my offers from the trash folder

Description

With the help of this method, the current user can permanently (without the possibility of restoring) remove several of his/her own freight and vehicle offers from the trash folder.

URL structure

POST /v2/proposals/my/basket/delete

List of parameters

Name Description Parameter transfer type Required(+)/Default(value)
language Localization language. Usage details. Query string parameter ru
cargoIds Array of freight offers ids. Request body parameter []
lorryIds Array of vehicle offers ids. Request body parameter []

Result

Structure "Response to a request to delete several of your offers".

Sample request

curl -X POST -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: 3WQ1EQ465C4005000130" -d "{\"cargoIds\":[1,2,350202821],\"lorryIds\":[4,5,350202610]}" "https://api.lardi-trans.com/v2/proposals/my/basket/delete"

Sample response

JSON
{
    "cargoes": {
        "errors": [
            {
                "id": 1,
                "message": "заявка не найдена",
                "errorCode": 7
            },
            {
                "id": 2,
                "message": "заявка не найдена",
                "errorCode": 7
            }
        ],
        "success": [
            350202821
        ]
    },
    "lorries": {
        "errors": [
            {
                "id": 4,
                "message": "заявка не найдена",
                "errorCode": 7
            },
            {
                "id": 5,
                "message": "заявка не найдена",
                "errorCode": 7
            }
        ],
        "success": [
            350202610
        ]
    }
}